const getters = {
    // 设备信息
    isIphoneX: state => state.app.isIphoneX,
    isIphone: state => state.app.isIphone,
    isActivity: state => state.app.isActivity,
    windowHeight: state => state.app.windowHeight,
    // 用户授权
    isWxAuthorize: state => state.user.isWxAuthorize,
    userInfo: state => state.user.userInfo,
    userId: state => state.user.userId,
    userIdentity: state => state.user.userIdentity,
    hasLogin: state => state.user.hasLogin,
    // 购物车
    kindCount: state => state.cart.kindCount,
    failureList: state => state.cart.failureList,
    goodsList: state => state.cart.goodsList,
    isEmpty: state => state.cart.isEmpty,
    cartIds: state => state.cart.cartIds,
}

export default getters
